<?php
/**
 * Plugin Name: tigaman webdesign - Custom login logo
 * Plugin URI: https://www.tigaman.com/
 * Description: This plugin helps you to configure the logo on your wordpress login page..
 * Version: 1.0
 * Author: tigaman webdesign
 * Author URI: https://www.tigaman.hu
 */
?>
<?php add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'twdcll_settings_link' );
function twdcll_settings_link( array $links ) {
    $url = get_admin_url() . "admin.php?page=LoginLogo";
    $settings_link = '<a href="' . $url . '">' . __('Settings', 'akismet') . '</a>';
      $links[] = $settings_link;
    return $links;
  }
?>
<?php add_action( 'admin_enqueue_scripts', 'twdcll_add_color_picker' );
function twdcll_add_color_picker( $hook ) {
    if( is_admin() ) { 
        wp_enqueue_style( 'wp-color-picker' ); 
        wp_enqueue_script( 'twdcll-custom-script-handle', plugins_url( 'twdcll-custom-script.js', __FILE__ ), array( 'wp-color-picker' ), false, true ); 
    }
}
?>
<?php 

// Settings Page: LoginLogo
// Retrieving values: get_option( 'your_field_id' )
class LoginLogo_Settings_Page {

	public function __construct() {
		add_action( 'admin_menu', array( $this, 'wph_create_settings' ) );
		add_action( 'admin_init', array( $this, 'wph_setup_sections' ) );
		add_action( 'admin_init', array( $this, 'wph_setup_fields' ) );
	}

	public function wph_create_settings() {
		$page_title = 'Custom wordpress login logo';
		$menu_title = 'Login logo';
		$capability = 'manage_options';
		$slug = 'LoginLogo';
		$callback = array($this, 'wph_settings_content');
                add_options_page($page_title, $menu_title, $capability, $slug, $callback);
		
	}
    
	public function wph_settings_content() { ?>
		<div class="wrap">
			<h1>Login logo</h1>
			<?php settings_errors(); ?>
			<form method="POST" action="options.php">
				<?php
					settings_fields( 'LoginLogo' );
					do_settings_sections( 'LoginLogo' );
					submit_button();
				?>
			</form>
            
 <h1>See more free stuff - tigaman webdesign</h1>
          
            <style type="text/css">
              #tigamandotcom {width: 100%;height:500px;overflow-x: hidden;}
              </style>        
            <embed id="tigamandotcom" type="text/html" src="https://www.tigaman.com/">               
            
		</div> <?php
	}

	public function wph_setup_sections() {
		add_settings_section( 'LoginLogo_section', 'Use the options fields to set the logo and background color.', array(), 'LoginLogo' );
	}

	public function wph_setup_fields() {
		$fields = array(
                    array(
                        'section' => 'LoginLogo_section',
                        'label' => 'If you want it to be transparent, leave it blank.',
                        'id' => 'logo_background_color',
                        'type' => 'text',
                    ),
        
                    array(
                        'section' => 'LoginLogo_section',
                        'label' => 'If you want to use the logo of the theme you are using, leave it blank. <p>Or:</p> <p>'.get_bloginfo('url').'/wp-content/uploads/</p>',
                        'id' => 'logo_url',
                        'type' => 'text',
                    )
		);
		foreach( $fields as $field ){
			add_settings_field( $field['id'], $field['label'], array( $this, 'wph_field_callback' ), 'LoginLogo', $field['section'], $field );
			register_setting( 'LoginLogo', $field['id'] );
		}
	}
	public function wph_field_callback( $field ) {
		$value = get_option( $field['id'] );
		$placeholder = '';
		if ( isset($field['placeholder']) ) {
			$placeholder = $field['placeholder'];
		}
		switch ( $field['type'] ) {
            
            
			default:
				printf( '<input name="%1$s" id="%1$s" type="%2$s" placeholder="%3$s" value="%4$s" />',
					$field['id'],
					$field['type'],
					$placeholder,
					$value
				);
		}
		if( isset($field['desc']) ) {
			if( $desc = $field['desc'] ) {
				printf( '<p class="description">%s </p>', $desc );
			}
		}
	}
    
}
new LoginLogo_Settings_Page();
                           
?>
<?php
function twdcll_login_logo() { ?>
<style type="text/css">

#login h1 a, .login h1 a {
background-image: url(<?php if( $field = get_option('logo_url') ) : ?><?php echo get_bloginfo('url'); ?>/wp-content/uploads/<?php $field = get_option('logo_url') ; echo ( $field  ); ?><?php else : ?><?php echo get_stylesheet_directory_uri(); ?>/images/logo.png<?php endif; ?>);
height: 100px;
width: 320px;
background-size: 250px auto;
background-repeat: no-repeat;
background-color: <?php if( $field = get_option('logo_background_color') ) : ?><?php $field = get_option('logo_background_color') ; echo ( $field  ); ?><?php else : ?>rgba(255,255,255,.0000001)<?php endif; ?> ;
background-position: center center;
}
</style>

<?php }
add_action( 'login_enqueue_scripts', 'twdcll_login_logo' );
?>